I will mark this as solved, since it's unlikely we will start supporting another OS. Supporting two ubuntu versions is really hard as-is.